Employees
Get Employee
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
include?array<>
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "username": "string", "full_name": "string", "email": "string", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "is_admin": true, "signature": "string", "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "locale": "string", "enable_shortcuts": true, "is_web_push_enabled": true, "is_mobile_push_enabled": true, "is_active": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "has_web_device": true, "has_mobile_device": true, "profile_image": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "filename": "string", "purpose": "media_library", "path": "string", "size": -9007199254740991, "type": "string", "metadata": { "property1": null, "property2": null }, "user_metadata": { "property1": null, "property2": null } }, "organisation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "display_name": "string", "mobile": "string", "landline": "string", "email": "string", "street": "string", "postal_code": "string", "city": "string", "address_line": "string", "industry": "string", "region": "string", "iso_country": "string", "vat": "string", "is_sp": true, "sp_full_name": "string", "sp_region": "string", "sp_postal_code": "string", "sp_street": "string", "sp_city": "string", "data_privacy_url": "string", "description": "string", "website_url": "string", "opt_out_template_id": "0bd95eca-b98e-46da-9d0f-d636105eb120", "marketing_enabled": true, "timezone": "string", "locale": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "invite": { "employee_id": "df4fd699-0854-488d-9cc2-15e751a80ee3", "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "status": "string", "invited_at": "2019-08-24T14:15:22Z", "accepted_at": "2019-08-24T14:15:22Z", "declined_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "teams": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "is_default": true, "is_gallery": true, "name": "string", "emoji": "🏡", "key": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}